" Set options and add mapping such that Vim behaves a lot like MS-Windows

" make 'cpoptions' empty
let save_cpo = &cpo
set cpo=

" set 'selection', 'selectmode', 'mousemodel' and 'keymodel' for MS-Windows
behave mswin

" CTRL-X is Cut
vmap <C-X> "*x

" CTRL-C is Copy
vmap <C-C> "*y

" CTRL-V is Paste
map <C-V> "*P`]:if col(".")!=1<Bar>exe "norm l"<Bar>endif<CR>
vmap <C-V> ""x"*P`]:if col(".")!=1<Bar>exe "norm l"<Bar>endif<CR>
imap <C-V> <Esc>:if col(".")!=1<Bar>exe 'norm "*p'<Bar>else<Bar>exe 'norm "*P'<Bar>endif<CR>`]a
cmap <C-V> <C-R>*
" Also adjust the Edit.Paste and PopUp menu
nmenu &Edit.&Paste<Tab>"*p	"*P`]:if col(".")!=1<Bar>exe "norm l"<Bar>endif<CR>
vmenu &Edit.&Paste<Tab>"*p	""x"*P`]:if col(".")!=1<Bar>exe "norm l"<Bar>endif<CR>
vmenu PopUp.&Paste		""x"*P`]:if col(".")!=1<Bar>exe "norm l"<Bar>endif<CR>

" For CTRL-V to work autoselect must be off
set guioptions-=a

" CTRL-Z is undo
map <C-Z> u
map! <C-Z> <C-O>u

" CTRL-Y is redo (although not repeat)
map <C-Y> <C-R>
map! <C-Y> <C-O><C-R>

" Alt-Space is system menu
map <M-Space> :simalt ~<CR>
map! <M-Space> <C-O>:simalt ~<CR>

" restore 'cpoptions'
let &cpo = save_cpo
unlet save_cpo
